'use strict';

const coRequestLib = require('request');

const coLoggerLib = require('../logger.js');

module.exports = function(ioData, ifCb) {
  coLoggerLib.trace('Request/Data: ', ioData);
  coRequestLib(ioData, function(ioError, ioResponse, ioBody) {
    coLoggerLib.trace('Request/Response: ', ioResponse);
    ifCb(ioError, ioResponse, ioBody);
  });
};
